Package net.shibboleth.idp.attribute.resolver.spring.impl

# Class InputAttributeDefinitionParser

java.lang.Object
org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser
net.shibboleth.idp.attribute.resolver.spring.BaseResolverPluginDependencyParser
net.shibboleth.idp.attribute.resolver.spring.impl.InputAttributeDefinitionParser

All Implemented Interfaces:
  `BeanDefinitionParser`

public class InputAttributeDefinitionParser extends BaseResolverPluginDependencyParser
Bean definition parser for a `ResolverAttributeDefinitionDependency`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final QName`
`ELEMENT_NAME`
Element name.

### Fields inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`CUSTOM_PARSER_PROPERTIES_LOCATION`

### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`ID_ATTRIBUTE, NAME_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`InputAttributeDefinitionParser()`

## Method Summary

Modifier and Type
Method
Description
`protected Class<ResolverAttributeDefinitionDependency>`
`getBeanClass(Element element)`

### Methods inherited from class net.shibboleth.idp.attribute.resolver.spring.BaseResolverPluginDependencyParser

`doParse, shouldGenerateId`

### Methods inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`getCustomProperty, registerBeanDefinition`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

`doParse, getBeanClassName, getParentName, parseInternal`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`parse, postProcessComponentDefinition, resolveId, shouldFireEvents, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ELEMENT_NAME

@Nonnull public static final QName ELEMENT_NAME
Element name.

## Constructor Details

### InputAttributeDefinitionParser

public InputAttributeDefinitionParser()

## Method Details

### getBeanClass

protected Class<ResolverAttributeDefinitionDependency> getBeanClass(@Nullable Element element)

Overrides:
  `getBeanClass` in class `AbstractSingleBeanDefinitionParser`